<?php
/**
 * Provide a admin area view for the plugin.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wbcomdesigns.com/plugins
 * @since      1.0.0
 *
 * @package    Ld_Dashboard
 * @subpackage Ld_Dashboard/admin/partials
 */

$function_obj = Ld_Dashboard_Functions::instance();
$ld_dashboard_settings_data = $function_obj->ld_dashboard_settings_data();
$settings = $ld_dashboard_settings_data['tiles_options'];

?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wbcom-tab-content">
    <div class="wrap ld-dashboard-settings">
        <div class="ld-dashboard-content container">
            <form method="post" action="options.php" enctype="multipart/form-data">
                <?php
                settings_fields('ld_dashboard_tiles_options');
                do_settings_sections('ld_dashboard_tiles_options');
                ?>
                <div class="form-table">
                    <div class="ld-grid-view-wrapper">                        
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Course Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total course count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[course-count]" value="1" <?php checked($settings['course-count'], '1'); ?>  data-id="course-count" />
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="course-count-bgcolor" class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text"  name="ld_dashboard_tiles_options[course-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['course-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Quizzes Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total Quizzes count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[quizzes-count]" value="1" <?php checked($settings['quizzes-count'], '1'); ?> data-id="quizzes-count"/>
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="quizzes-count-bgcolor"class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text"  name="ld_dashboard_tiles_options[quizzes-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['quizzes-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Assignments Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show Assignments statistics.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[assignments-count]" value="1" <?php checked($settings['assignments-count'], '1'); ?> data-id="assignments-count" />
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total Completed Assignments count. Otherwise display total pending Assignments count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[assignments-completed-count]" value="1" <?php checked($settings['assignments-completed-count'], '1'); ?> />
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <br>
                                <div id="assignments-count-bgcolor" class="ld-dashboard-colorpicker ld-assignments-count">
                                    <label class="ld-assignments-count-label"><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[assignments-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['assignments-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Essays Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total pending Essays count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[essays-pending-count]" value="1" <?php checked($settings['essays-pending-count'], '1'); ?> data-id="essays-pending-count" />
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="essays-pending-count-bgcolor"class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[essays-pending-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['essays-pending-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Lessons Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[lessons-count]" value="1" <?php checked($settings['lessons-count'], '1'); ?> data-id="lessons-count"/>
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="lessons-count-bgcolor" class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[lessons-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['lessons-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Topics Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total Topics count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[topics-count]" value="1" <?php checked($settings['topics-count'], '1'); ?> data-id="topics-count"/>
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="topics-count-bgcolor" class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[topics-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['topics-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Student Count', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show total Student count.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[student-count]" value="1" <?php checked($settings['student-count'], '1'); ?> data-id="student-count"/>
                                    <div class="ld-dashboard-setting round"></div>
                                </label>

                                <div id="student-count-bgcolor" class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[student-count-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['student-count-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>						
                        <div class="ld-single-grid">
                            <div class="ld-grid-label" scope="row">
                                <label><?php esc_html_e('Enable Instructor Earning', 'ld-dashboard'); ?></label>
                            </div>
                            <div class="ld-grid-content">
                                <span class="ld-decription"><?php esc_html_e('Enable this option if you want to show instructor earning.', 'ld-dashboard'); ?></span>
                                <label class="ld-dashboard-setting-switch">
                                    <input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[ins-earning]" value="1" <?php checked($settings['ins-earning'], '1'); ?> data-id="ins-earning"/>
                                    <div class="ld-dashboard-setting round"></div>
                                </label>
                                <div id="ins-earning-bgcolor" class="ld-dashboard-colorpicker">
                                    <label><?php //esc_html_e( 'Block Color', 'ld-dashboard' );        ?></label>
                                    <input type="text" name="ld_dashboard_tiles_options[ins-earning-bgcolor]" class="ld-dashboard-color" value="<?php echo esc_attr($settings['ins-earning-bgcolor']); ?>" />
                                </div>
                            </div>
                        </div>
                                                
                       
					   
					   
                    </div>
                </div>
                <?php submit_button(); ?>
                <?php wp_nonce_field('ld-dashboard-settings-submit', 'ld-dashboard-settings-submit'); ?>
            </form>
        </div>
    </div>
</div>
